import request from '@/utils/request'

export function aliPay(params) {  // 支付宝
  return request({
    url: 'alipay/aliH5Pay',
    method: 'post',
    data: params
  })
}


export function getOpenId(params) {  // 获取OpenId
  return request({
    url: 'weixinPublicPay/getOpenIdByCode',
    method: 'post',
    data: params
  })
}

export function vxPayQuery(params) {  // 微信
  return request({
    url: 'weixinpay/publicUnifiedOrder',
    method: 'post',
    data: params
  })
}



