// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'

import './assets/css/reset.css'  // 引入公共样式

import h5Popup from 'vue-h5-popup'; // 引入弹窗
Vue.use(h5Popup)

import utils from './utils/utils' // 工具类
Vue.prototype.$utils = utils


import 'swiper/dist/css/swiper.min.css' // 轮播
import 'swiper/dist/js/swiper.min'

import vueFilter from './utils/filters'  // 公共filter
for (let key in vueFilter){
  Vue.filter(key,vueFilter[key])
}

Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
})
