import Vue from 'vue'
import Router from 'vue-router'
import plateNumber from '@/components/plateNumber'
import parkRecord from '@/components/parkRecord'
import navigation from '@/components/navigation'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      redirect: {
        name: 'navigation'
      }
    },
    {
      path: '/navigation',
      name: 'navigation',
      component: navigation
    },
    {
      path: '/plateNumber',
      name: 'plateNumber',
      component: plateNumber
    },
    {
      path: '/parkRecord',
      name: 'parkRecord',
      component: parkRecord
    },
    {
      path: '/orderPay',
      name: 'orderPay',
      component: () => import("@/components/orderPay.vue")
    },


  ]
})
